Subject: Re: Patch for Soft-Float Problems w/ Glibc & Gcc?

From: Mark Hatle <[email-masked]>
Date: Tue, 13 Feb 2001 10:42:56 -0800

Ralph Blach wrote:
>
> Grant,
>
> As I understand it, Softfloat does NOT produce software emulation.
> One must have a library to which to link inorder to floating point in
> this situation.
>
> The MontaVista toolset seems to have the floating point emulation in it.

Actually thats only partially true.. the floating point "library" is
internal to gcc on PowerPC processors.. and on all of the processors
that MontaVista supports.

gcc/config/fp-bit.c is the file included with gcc to support
soft-floating point.

--Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/